[yelp-tools] Convert tabs to spaces



commit 81a9abddd1963ceaf7c4633399e7b8b2b2307653
Author: Shaun McCance <shaunm gnome org>
Date:   Mon Jun 15 15:04:36 2015 -0400

    Convert tabs to spaces

 tools/yelp-build.in |   14 ++++++++------
 tools/yelp-check.in |   26 ++++++++++++++------------
 2 files changed, 22 insertions(+), 18 deletions(-)
---
diff --git a/tools/yelp-build.in b/tools/yelp-build.in
index c78db95..9eda997 100755
--- a/tools/yelp-build.in
+++ b/tools/yelp-build.in
@@ -1,6 +1,8 @@
 #!/bin/sh
+# -*- indent-tabs-mode: nil -*-
+#
 # yelp-build
-# Copyright (C) 2010 Shaun McCance <shaunm gnome org>
+# Copyright (C) 2010-2015 Shaun McCance <shaunm gnome org>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -295,8 +297,8 @@ yelp_html_db2html () {
                 moutput="$html_out/$mfile"
                 mkdir_p `dirname "$moutput"`
                 if [ ! -f "$minput" -a "x$html_paths" != "x" ]; then
-                   minput_rel=${minput#"$(pwd)/"}
-                   if [ "x$minput_rel" != "x$minput_src" ]; then
+                    minput_rel=${minput#"$(pwd)/"}
+                    if [ "x$minput_rel" != "x$minput_src" ]; then
                         for path in $html_paths; do
                             if [ -f "$path/$minput_rel" ]; then
                                 minput="$path/$minput_rel"
@@ -424,7 +426,7 @@ yelp_html_mal2html () {
         - "$html_tmp_infile") | sort | uniq | \
     while read line; do
         use_internal_datadir=$(echo "$line" | cut -c1)
-       line=$(echo "$line" | cut -c2-)
+        line=$(echo "$line" | cut -c2-)
         line_src=$(echo "$line" | cut -d' ' -f1 | urldecode)
         if [ "x$use_internal_datadir" = "x+" ]; then
             line_dest="$html_out/$html_internal_datadir"$(echo "$line" | cut -d' ' -f2)
@@ -432,8 +434,8 @@ yelp_html_mal2html () {
             line_dest="$html_out/"$(echo "$line" | cut -d' ' -f2)
         fi
         if [ ! -f "$line_src" -a "x$html_paths" != "x" ]; then
-           line_src_rel=${line_src#"$(pwd)/"}
-           if [ "x$line_src_rel" != "x$line_src" ]; then
+            line_src_rel=${line_src#"$(pwd)/"}
+            if [ "x$line_src_rel" != "x$line_src" ]; then
                 for path in $html_paths; do
                     if [ -f "$path/$line_src_rel" ]; then
                         line_src="$path/$line_src_rel"
diff --git a/tools/yelp-check.in b/tools/yelp-check.in
index 8f0dcfc..bca4890 100755
--- a/tools/yelp-check.in
+++ b/tools/yelp-check.in
@@ -1,6 +1,8 @@
 #!/bin/sh
+# -*- indent-tabs-mode: nil -*-
+#
 # yelp-check
-# Copyright (C) 2011 Shaun McCance <shaunm gnome org>
+# Copyright (C) 2011-2015 Shaun McCance <shaunm gnome org>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -110,7 +112,7 @@ yelp_usage () {
         echo "  comments      Print the editorial comments in a document"
         echo "  hrefs         Find broken external links in a document"
         echo "  ids           Find Mallard page IDs that do not match file names"
-       echo "  license       Report the license of Mallard pages"
+        echo "  license       Report the license of Mallard pages"
         echo "  links         Find broken xref or linkend links in a document"
         echo "  media         Find broken references to media files"
         echo "  orphans       Find orphaned pages in a Mallard document"
@@ -181,11 +183,11 @@ yelp_usage_license () {
         echo ""
         echo "  Report the license of the Mallard page files FILES. Each"
         echo "  matching page is reporting along with its license, reported"
-       echo "  based on the href attribute of the license element. Common"
-       echo "  licenses use a shortened identifier. Pages with multiple"
-       echo "  licenses have the identifiers separated by spaces. Pages"
-       echo "  with no license element report 'none'. Licenses with no"
-       echo "  href attribute are reported as 'unknown'."
+        echo "  based on the href attribute of the license element. Common"
+        echo "  licenses use a shortened identifier. Pages with multiple"
+        echo "  licenses have the identifiers separated by spaces. Pages"
+        echo "  with no license element report 'none'. Licenses with no"
+        echo "  href attribute are reported as 'unknown'."
         echo ""
         echo "Options:"
         echo "  --only LICENSES     Only show pages whose license is in LICENSES"
@@ -658,13 +660,13 @@ yelp_license () {
         elif [ "x$ext" = "xpage" -o "x$ext" = "xstub" -o "x$ext" = "xcache" ]; then
             yelp_license_page "$xml" || gret="$?"
         else
-           echo "Unrecognized page " $xml 2>&1
-           exit 1
-       fi
+            echo "Unrecognized page " $xml 2>&1
+            exit 1
+        fi
     done | if [ "x$check_totals" = "x1" ]; then
-       sort | uniq -c | sed -e 's/^ *//' | awk '{print $2 ": " $1}'
+        sort | uniq -c | sed -e 's/^ *//' | awk '{print $2 ": " $1}'
     else
-       sort
+        sort
     fi
     return 0
 }


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]